View Issue Details

IDProjectCategoryView StatusLast Update
0020865Open CASCADEOCCT:Visualizationpublic2015-09-07 11:52
Reportersan Assigned Tobugmaster  
PrioritylowSeveritytrivial 
Status closedResolutionwon't fix 
OSAll 
Fixed in Version7.0.0 
Summary0020865: Visualization - opening Local Context resets layers in 3D view
DescriptionReported by R.Lygin on 06.02.2009.

If you have layer(s) in 3D view and then open a local context and activate
standard selection mode then a view background wipes out layers.

How to reproduce:

Add the following command into ViewerTest.cxx and execute the following
commands:


Draw>pload ALL
Draw>vinit
Draw>vsetbgcolor 0 0 1 1 1 1
#and resize the window to enforce redraw (or better add some command into
VSetBgColor())
Draw>box b 100 200 300
Draw>vdisplay b
# Move mouse into 3D view and press from 1 to 7 to activate selection. The
background is reset to black. Try to rotate or resize, etc gradient background
is redrawn.
TagsNo tags attached.
Test case number

Attached Files

  • RLN_code.tar.gz (1,189 bytes)

Relationships

related to 0025789 closedbugmaster Visualization - get rid of obsolete 2d layers implementation 

Activities

2009-02-06 09:29

 

RLN_code.tar.gz (1,189 bytes)

kgv

2015-09-04 13:12

developer   ~0045057

Dear bugmaster,

please close the issue as related functionality has been removed within 0025789.

Issue History

Date Modified Username Field Change
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2014-02-05 15:20 kgv Priority normal => low
2014-02-05 15:20 kgv Fixed in Version EMPTY =>
2014-02-05 15:20 kgv Summary Opening Local Context resets layers in 3D view => Visualization - opening Local Context resets layers in 3D view
2014-02-05 15:20 kgv Description Updated
2015-06-29 12:20 kgv Relationship added related to 0025789
2015-08-25 09:41 kgv Resolution open => won't fix
2015-08-25 09:41 kgv Target Version => 7.0.0
2015-09-04 13:12 kgv Note Added: 0045057
2015-09-04 13:12 kgv Status new => feedback
2015-09-04 13:12 kgv Fixed in Version => 7.0.0
2015-09-04 13:12 kgv Target Version 7.0.0 =>
2015-09-07 11:52 bugmaster Status feedback => closed